# MIIII - Mechanistic Interpretability of Irreducible Integer Identifiers

MIIII is a project exploring the properties and interpretability of deep prime number (irreducible integer) identifiers.
The goal is to gain insights into these fundamental building blocks of mathematics through computational analysis and modeling.

## Project Structure

- `src/`: Contains the main Python source code files
  - `__init__.py`: Package initializer 
  - Various `.py` files containing the project's algorithms and utilities
- `.gitignore`: Specifies files for Git to ignore
- `app.py`: Streamlit web app for interactive exploration
- `conf.yaml`: Configuration file
- `library.bib`: Bibliography file
- `main.py`: Main script
- `notebook.ipynb`: Jupyter notebook for exploratory analysis
- `poetry.lock`: Dependency lock file
- `pyproject.toml`: Project configuration file
- `README.md`: This readme file
- `TODO.md`: Todo list

## Getting Started

1. Ensure you have Python 3.11 installed 
2. Clone this repository
3. Install the required dependencies using Poetry: `poetry install`
4. Explore the various scripts and the Jupyter notebook to understand the project's workings
5. Run analyses and extend the project's capabilities as desired